Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/devices/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "name": "<string>", "companyId": "<string>", "companyName": "<string>", "deviceTypeId": "<string>", "deviceTypeName": "<string>", "locationId": "<string>", "locationName": "<string>", "manufacturer": "<string>", "model": "<string>", "serialNumber": "<string>", "macAddress": "<string>", "ipAddress": "<string>", "os": "<string>", "firmwareVersion": "<string>", "status": "<string>", "lastSeen": "2023-11-07T05:31:56Z", "warrantyStart": "2023-11-07T05:31:56Z", "warrantyEnd": "2023-11-07T05:31:56Z", "warrantyExpires": "2023-11-07T05:31:56Z", "integrationSource": "<string>", "externalDeviceId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Retrieve a single device by ID with full details.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Device ID
Device details
Show child attributes
Was this page helpful?